Package org.eclipse.ecf.remoteservice

# Class RemoteCall

java.lang.Object
org.eclipse.ecf.remoteservice.asyncproxy.AbstractAsyncProxyRemoteCall
org.eclipse.ecf.remoteservice.RemoteCall

All Implemented Interfaces:
  `IRemoteCall`

Direct Known Subclasses:
  `AbstractRSAClientService.RSARemoteCall`, `RemoteCallMethod`, `RestCall`

public class RemoteCall extends AbstractAsyncProxyRemoteCall implements IRemoteCall

Since:
  4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`method`
`protected Object[]`
`parameters`
`protected long`
`timeout`

### Fields inherited from interface org.eclipse.ecf.remoteservice.IRemoteCall

`DEFAULT_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`RemoteCall(String method)`
`RemoteCall(String method, Object[] parameters)`
`RemoteCall(String method, Object[] parameters, long timeout)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
Get the method name to call on the remote.
`Object[]`
`getParameters()`
Get the method parameters of the method to call on the remote.
`long`
`getTimeout()`
Get timeout (in ms) for the remote call.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### method

protected String method

### parameters

protected Object[] parameters

### timeout

protected long timeout

## Constructor Details

### RemoteCall

public RemoteCall(String method, Object[] parameters, long timeout)

### RemoteCall

public RemoteCall(String method, Object[] parameters)

### RemoteCall

public RemoteCall(String method)

## Method Details

### getMethod

public String getMethod()
Description copied from interface: `IRemoteCall`
Get the method name to call on the remote. Must return a non-null and non-empty string

Specified by:
  `getMethod` in interface `IRemoteCall`
Returns:
  String name of method to call on the remote

### getParameters

public Object[] getParameters()
Description copied from interface: `IRemoteCall`
Get the method parameters of the method to call on the remote. Will return a non-`null` array of Object parameters. The given Objects in the array must be be Serializable so that they may be serialized to deliver to remote.

Specified by:
  `getParameters` in interface `IRemoteCall`
Returns:
  Object [] the parameters to be provided for this call. Will not be `null`, but may be empty array.

### getTimeout

public long getTimeout()
Description copied from interface: `IRemoteCall`
Get timeout (in ms) for the remote call.

Specified by:
  `getTimeout` in interface `IRemoteCall`
Returns:
  long timeout in ms

### toString

public String toString()

Overrides:
  `toString` in class `Object`